### Enumeration

# Ide DebuggerBreakMode

#### Declaration

    enum Ide.DebuggerBreakMode

#### Description

The type of breakpoint.

Available since: | 3.32

#### Members

Name | Description
--- | ---
`IDE_DEBUGGER_BREAK_NONE` | No breakpoint is set.
`IDE_DEBUGGER_BREAK_BREAKPOINT` | A simple breakpoint that stops the debugger when reaching a given location.
`IDE_DEBUGGER_BREAK_COUNTPOINT` | A counter that is incremented when the debugger reaches a breakpoint.
`IDE_DEBUGGER_BREAK_WATCHPOINT` | A breakpoint that is conditional on the specification matching.